
Summary: Automated theorem prover for first-order logic with equality
Name: spass
Version: 3.7
Release: 4%{?dist}
License: FreeBSD
Group: Applications/Engineering
URL: http://www.spass-prover.org/
Source0: http://www.spass-prover.org/download/sources/spass37.tgz
BuildRequires: bison, flex
Requires(post): info
Requires(preun): info

%description
SPASS is an automatic theorem prover for first-order logic with equality.
It can be applied to first-order and modal logic theorem proving, the
formal analysis of software, systems, protocols, formal approaches to
AI planning and decision procedures.

%prep
%setup -q -n SPASS-%{version}
# Delete the bundled scanner and parser files to force them to be rebuilt
rm -f SPASS/dfgparser.{c,h} SPASS/dfgscanner.c SPASS/iaparser.{c,h} \
      SPASS/iascanner.c SPASS/tptpparser.{c,h} SPASS/tptpscanner.c
# Fix a broken info file with no texinfo source
sed -i 's|^. man begin DESCRIPTION \*pgen\*|\*pgen\*|' doc/texinfo/script.info

%build
%configure
# Patch the Makefile to honor ${RPM_OPT_FLAGS}
sed -i "/^CFLAGS =/s/-O3/${RPM_OPT_FLAGS}/" Makefile
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# Create FLOTTER, which is just a softlink to SPASS
ln -s SPASS ${RPM_BUILD_ROOT}%{_bindir}/FLOTTER
# Rename the info format documentation file to something more meaningful
mv ${RPM_BUILD_ROOT}%{_infodir}/script.info \
   ${RPM_BUILD_ROOT}%{_infodir}/spass.info
sed -i 's/script.info/spass.info/' ${RPM_BUILD_ROOT}%{_infodir}/spass.info
# Remove the documentation files that were installed by "make install"
rm -fr ${RPM_BUILD_ROOT}%{_datadir}/spass

%post
/sbin/install-info \
  --entry="* spass: (spass).              SPASS theorem prover." \
  %{_infodir}/spass.info* %{_infodir}/dir

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/spass.info* %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc LICENCE README VERSIONHISTORY doc/html doc/handbook/handbook-spass.pdf
%doc doc/syntax/spass-input-syntax.pdf doc/tutorial/tutorial.pdf
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Fri Dec 12 2014 John C. Peterson <jcp@eskimo.com> - 3.7-4
- Rebuild for Fedora 21

* Sun Jan 26 2014 John C. Peterson <jcp@eskimo.com> - 3.7-3
- Rebuild for Fedora 20

* Fri Sep 20 2013 John C. Peterson <jcp@eskimo.com> - 3.7-3
- Rebuild for Fedora 19

* Wed Jan  4 2012 John C. Peterson <jcp@eskimo.com> - 3.7-2
- Some cosmetic or other minor tweaks to Jerry James' spec file

* Thu Jun  2 2011 Jerry James <loganjerry@gmail.com> - 3.7-1
- Initial RPM
